# PageCategorie Class Reference

Page d'administration des catégories. More...

Inheritance diagram for PageCategorie:

List of all members.

## Public Member Functions

| PageCategorie ()
| Place les elements sur la page.
void | onOpened ()
| this appelle cette méthode quand on ouvre l'onglet
void | onListSelection ()
| this appelle cette méthode quand on clique sur un élément de la liste
void | modify ()
| Methode appelée par un clic sur le bouton "Modifier".
void | remove ()
| Methode appelée par un clic sur le bouton "Supprimer".
void | add ()
| Methode appelée par un clic sur le bouton "Ajouter".
void | updateBrowseList ()

## Detailed Description

Page d'administration des catégories.

## Constructor & Destructor Documentation

PageCategorie.PageCategorie | ( |  | ) |

Place les elements sur la page.

## Member Function Documentation

void PageCategorie.add | ( |  | ) | `[virtual]`

Methode appelée par un clic sur le bouton "Ajouter".

Implements Page.

void PageCategorie.modify | ( |  | ) | `[virtual]`

Methode appelée par un clic sur le bouton "Modifier".

Implements Page.

void PageCategorie.onListSelection | ( |  | ) | `[virtual]`

this appelle cette méthode quand on clique sur un élément de la liste

Implements Page.

void PageCategorie.onOpened | ( |  | ) | `[virtual]`

this appelle cette méthode quand on ouvre l'onglet

Implements Page.

void PageCategorie.remove | ( |  | ) | `[virtual]`

Methode appelée par un clic sur le bouton "Supprimer".

Implements Page.

void PageCategorie.updateBrowseList | ( |  | ) |

The documentation for this class was generated from the following file:

- /media/data/ProjWeb/Java/PageCategorie.java